Index: /trunk/libf/phyvenus/phyetat0.F
===================================================================
--- /trunk/libf/phyvenus/phyetat0.F	(revision 96)
+++ /trunk/libf/phyvenus/phyetat0.F	(revision 97)
@@ -7,5 +7,5 @@
      .            rlat,rlon, tsol,tsoil,
      .           albe, solsw, sollw,
-     .           fder,radsol,clesphy0,
+     .           fder,radsol,
      .    zmea, zstd, zsig, zgam, zthe, zpic, zval,  
      .           tabcntr0,
@@ -44,8 +44,4 @@
       LOGICAL ancien_ok
 
-      INTEGER        longcles
-      PARAMETER    ( longcles = 20 )
-      REAL clesphy0( longcles )
-c
       REAL xmin, xmax
 c
@@ -88,64 +84,7 @@
          ENDDO
 c
-         cycle_diurne   = .FALSE.
-         soil_model     = .FALSE.
-         new_oliq       = .FALSE.
-         ok_orodr       = .FALSE.
-         ok_orolf       = .FALSE.
-         ok_gw_nonoro   = .FALSE.
-
-
-         IF( clesphy0(1).NE.tab_cntrl( 5 ) )  THEN
-             tab_cntrl( 5 ) = clesphy0(1)
-         ENDIF
-
-         IF( clesphy0(2).NE.tab_cntrl( 6 ) )  THEN
-             tab_cntrl( 6 ) = clesphy0(2)
-         ENDIF
-
-         IF( clesphy0(3).NE.tab_cntrl( 7 ) )  THEN
-             tab_cntrl( 7 ) = clesphy0(3)
-         ENDIF
-
-         IF( clesphy0(4).NE.tab_cntrl( 8 ) )  THEN
-             tab_cntrl( 8 ) = clesphy0(4)
-         ENDIF
-
-         IF( clesphy0(5).NE.tab_cntrl( 9 ) )  THEN
-             tab_cntrl( 9 ) = clesphy0( 5 )
-         ENDIF
-
-         IF( clesphy0(6).NE.tab_cntrl( 10 ) )  THEN
-             tab_cntrl( 10 ) = clesphy0( 6 )
-         ENDIF
-
-         IF( clesphy0(7).NE.tab_cntrl( 11 ) )  THEN
-             tab_cntrl( 11 ) = clesphy0( 7 )
-         ENDIF
-
-         IF( clesphy0(8).NE.tab_cntrl( 12 ) )  THEN
-             tab_cntrl( 12 ) = clesphy0( 8 )
-         ENDIF
-
 
          dtime        = tab_cntrl(1)
          radpas       = tab_cntrl(2)
-         iflag_con    = tab_cntrl(5)
-         nbapp_rad    = tab_cntrl(6)
-
-
-         cycle_diurne    = .FALSE.
-         soil_model      = .FALSE.
-         new_oliq        = .FALSE.
-         ok_orodr        = .FALSE.
-         ok_orolf        = .FALSE.
-         ok_gw_nonoro    = .FALSE.
-
-         IF( tab_cntrl( 7) .EQ. 1. )    cycle_diurne  = .TRUE.
-         IF( tab_cntrl( 8) .EQ. 1. )       soil_model = .TRUE.
-         IF( tab_cntrl( 9) .EQ. 1. )         new_oliq = .TRUE.
-         IF( tab_cntrl(10) .EQ. 1. )         ok_orodr = .TRUE.
-         IF( tab_cntrl(11) .EQ. 1. )         ok_orolf = .TRUE.
-         IF( tab_cntrl(12) .EQ. 1. )     ok_gw_nonoro = .TRUE.
 
       ENDIF
Index: /trunk/libf/phyvenus/phyredem.F
===================================================================
--- /trunk/libf/phyvenus/phyredem.F	(revision 96)
+++ /trunk/libf/phyvenus/phyredem.F	(revision 97)
@@ -10,4 +10,6 @@
      .    zmea, zstd, zsig, zgam, zthe, zpic, zval, 
      .           t_ancien)
+
+      USE control_mod
       IMPLICIT none
 c======================================================================
@@ -20,5 +22,4 @@
 #include "dimsoil.h"
 #include "clesphys.h"
-#include "control.h"
 #include "temps.h"
 c======================================================================
Index: /trunk/libf/phyvenus/physiq.F
===================================================================
--- /trunk/libf/phyvenus/physiq.F	(revision 96)
+++ /trunk/libf/phyvenus/physiq.F	(revision 97)
@@ -5,5 +5,5 @@
       SUBROUTINE physiq (nlon,nlev,nqmax,
      .            debut,lafin,rjourvrai,gmtime,pdtphys,
-     .            paprs,pplay,ppk,pphi,pphis,presnivs,clesphy0,
+     .            paprs,pplay,ppk,pphi,pphis,presnivs,
      .            u,v,t,qx,
      .            omega,
@@ -12,4 +12,6 @@
       USE ioipsl
       USE histcom
+      USE infotrac
+      USE control_mod
       IMPLICIT none
 c======================================================================
@@ -71,8 +73,6 @@
 #include "dimsoil.h"
 #include "clesphys.h"
-#include "control.h"
 #include "temps.h"
 #include "comgeomphy.h"
-#include "advtrac.h"
 #include "iniprint.h"
 #include "raddim.h"
@@ -157,8 +157,4 @@
 #endif
 
-      INTEGER        longcles
-      PARAMETER    ( longcles = 20 )
-      REAL clesphy0( longcles      )
-c
 c Variables propres a la physique
 c
@@ -385,10 +381,4 @@
       REAL zx_tmp_2d(iim,jjmp1),zx_tmp_3d(iim,jjmp1,klev)
       REAL zx_lon(iim,jjmp1), zx_lat(iim,jjmp1)
-      REAL*4 z4_tmp_2d(iim,jjmp1),z4_tmp_3d(iim,jjmp1,klev)
-      REAL*4 z4_lon(iim,jjmp1), z4_lat(iim,jjmp1)
-      REAL*4 zpresnivs(klev)
-c     REAL z4_tmp_2d(iim,jjmp1),z4_tmp_3d(iim,jjmp1,klev)
-c     REAL z4_lon(iim,jjmp1), z4_lat(iim,jjmp1)
-c     REAL zpresnivs(klev)
 
       INTEGER nid_day, nid_mth, nid_ins
@@ -396,6 +386,5 @@
 c
       INTEGER nhori, nvert, idayref
-      REAL*4 zsto, zout, zsto1, zsto2, z4julian, zero
-c     REAL zsto, zout, zsto1, zsto2, z4julian, zero
+      REAL zsto, zout, zsto1, zsto2, zero
       parameter (zero=0.0e0)
       real zjulian
@@ -439,6 +428,4 @@
 c
 #include "YOMCST.h"
-#include "YOETHF.h"
-#include "FCTTRE.h"
 
 c======================================================================
@@ -489,5 +476,5 @@
      .       rlatd,rlond,ftsol,ftsoil,
      .       falbe, solsw, sollw,
-     .       dlw,radsol,clesphy0,
+     .       dlw,radsol,
      .      zmea,zstd,zsig,zgam,zthe,zpic,zval,
      .       tabcntr0,
@@ -577,9 +564,10 @@
      .                   iflag_ajs
 c
-         ecrit_mth = NINT(RDAY/dtime *ecritphy)  ! tous les ecritphy jours
+         ecrit_mth = NINT(RDAY/dtime*ecritphy)  ! tous les ecritphy jours
          IF (ok_mensuel) THEN
          WRITE(lunout,*)'La frequence de sortie mensuelle est de ', 
      .                   ecrit_mth
          ENDIF
+
          ecrit_day = NINT(RDAY/dtime *1.0)  ! tous les jours
          IF (ok_journe) THEN
@@ -587,6 +575,6 @@
      .                   ecrit_day
          ENDIF
-         ecrit_ins = NINT(RDAY/dtime/48.)  ! a chaque pas de temps ==> PB. dans time_counter pour 1mois
-         ecrit_ins = NINT(RDAY/dtime/12.)  ! toutes les deux heures
+
+         ecrit_ins = NINT(RDAY/dtime/*ecritphy)  ! Fraction de jour reglable
          IF (ok_instan) THEN
          WRITE(lunout,*)'La frequence de sortie instant. est de ', 
Index: /trunk/libf/phyvenus/phytrac.F
===================================================================
--- /trunk/libf/phyvenus/phytrac.F	(revision 96)
+++ /trunk/libf/phyvenus/phytrac.F	(revision 97)
@@ -26,4 +26,6 @@
 
       USE ioipsl
+      USE infotrac
+      USE control_mod
 
       IMPLICIT none
@@ -42,7 +44,5 @@
 #include "temps.h"
 #include "paramet.h"
-#include "control.h"
 #include "comgeomphy.h"
-#include "advtrac.h"
 c======================================================================
 
@@ -124,11 +124,11 @@
 c   k,i,it,tr_seri(klon,klev,nqmax),pplay(nlon,nlev), 
       integer nqCO_OCS
-      real zprof(klev,nqmx)
+      real zprof(klev,nqtot)
 c      real pzero,gamma
 c      parameter (pzero=85000.)
 c      parameter (gamma=5000.)
       REAL alpha
-      real deltatr(klon,klev,nqmx) ! ecart au profil de ref zprof
-      real tau(klev,nqmx)          ! temps de relaxation vers le profil (s)
+      real deltatr(klon,klev,nqtot) ! ecart au profil de ref zprof
+      real tau(klev,nqtot)          ! temps de relaxation vers le profil (s)
       save zprof,tau
 c======================================================================
Index: /trunk/libf/phyvenus/radlwsw.1mat
===================================================================
--- /trunk/libf/phyvenus/radlwsw.1mat	(revision 96)
+++ /trunk/libf/phyvenus/radlwsw.1mat	(revision 97)
@@ -38,5 +38,4 @@
 #include "dimphy.h"
 #include "raddim.h"
-#include "YOETHF.h"
 c
       real rmu0(klon), fract(klon), dist
Index: /trunk/libf/phyvenus/radlwsw.F
===================================================================
--- /trunk/libf/phyvenus/radlwsw.F	(revision 96)
+++ /trunk/libf/phyvenus/radlwsw.F	(revision 97)
@@ -42,5 +42,4 @@
 #include "dimphy.h"
 #include "raddim.h"
-#include "YOETHF.h"
 #include "YOMCST.h"
 #include "clesphys.h" 
Index: /trunk/libf/phyvenus/radlwsw.NewtonCool
===================================================================
--- /trunk/libf/phyvenus/radlwsw.NewtonCool	(revision 96)
+++ /trunk/libf/phyvenus/radlwsw.NewtonCool	(revision 97)
@@ -41,5 +41,4 @@
 #include "dimphy.h"
 #include "raddim.h"
-#include "YOETHF.h"
 #include "YOMCST.h"
 #include "clesphys.h" 
Index: /trunk/libf/phyvenus/radlwsw.multimat
===================================================================
--- /trunk/libf/phyvenus/radlwsw.multimat	(revision 96)
+++ /trunk/libf/phyvenus/radlwsw.multimat	(revision 97)
@@ -42,5 +42,4 @@
 #include "dimphy.h"
 #include "raddim.h"
-#include "YOETHF.h"
 #include "YOMCST.h"
 #include "clesphys.h" 
Index: /trunk/libf/phyvenus/suphec.F
===================================================================
--- /trunk/libf/phyvenus/suphec.F	(revision 96)
+++ /trunk/libf/phyvenus/suphec.F	(revision 97)
@@ -5,5 +5,4 @@
 C
 #include "YOMCST.h"
-#include "YOETHF.h"
 cIM cf. JLD
        LOGICAL firstcall
@@ -153,70 +152,4 @@
       WRITE(UNIT=6,FMT='(''     Rv/Rd-1  = '',e13.7)') RETV
 C
-C     ----------------------------------------------------------------
-C
-C*       6.    DEFINE THERMODYNAMIC CONSTANTS, LIQUID PHASE.
-C              ---------------------------------------------
-C
-      RCW=RCPV
-      WRITE(UNIT=6,FMT='('' *** Thermodynamic, liquid  ***'')')
-      WRITE(UNIT=6,FMT='(''         Cw   = '',E13.7)') RCW
-C
-C     ----------------------------------------------------------------
-C
-C*       7.    DEFINE THERMODYNAMIC CONSTANTS, SOLID PHASE.
-C              --------------------------------------------
-C
-      RCS=RCPV
-      WRITE(UNIT=6,FMT='('' *** thermodynamic, solid   ***'')')
-      WRITE(UNIT=6,FMT='(''         Cs   = '',E13.7)') RCS
-C
-C     ----------------------------------------------------------------
-C
-C*       8.    DEFINE THERMODYNAMIC CONSTANTS, TRANSITION OF PHASE.
-C              ----------------------------------------------------
-C
-      RTT=273.16
-      RLVTT=2.5008E+6
-      RLSTT=2.8345E+6
-      RLMLT=RLSTT-RLVTT
-      RATM=100000.
-      WRITE(UNIT=6,FMT='('' *** Thermodynamic, trans.  ***'')')
-      WRITE(UNIT=6,FMT='('' Fusion point  = '',E13.7)') RTT
-      WRITE(UNIT=6,FMT='(''        RLvTt  = '',E13.7)') RLVTT
-      WRITE(UNIT=6,FMT='(''        RLsTt  = '',E13.7)') RLSTT
-      WRITE(UNIT=6,FMT='(''        RLMlt  = '',E13.7)') RLMLT
-      WRITE(UNIT=6,FMT='('' Normal press. = '',E13.7)') RATM
-      WRITE(UNIT=6,FMT='('' Latent heat :  '')')
-C
-C     ----------------------------------------------------------------
-C
-C*       9.    SATURATED VAPOUR PRESSURE.
-C              --------------------------
-C
-      RESTT=611.14
-      RGAMW=(RCW-RCPV)/RV
-      RBETW=RLVTT/RV+RGAMW*RTT
-      RALPW=LOG(RESTT)+RBETW/RTT+RGAMW*LOG(RTT)
-      RGAMS=(RCS-RCPV)/RV
-      RBETS=RLSTT/RV+RGAMS*RTT
-      RALPS=LOG(RESTT)+RBETS/RTT+RGAMS*LOG(RTT)
-      RGAMD=RGAMS-RGAMW
-      RBETD=RBETS-RBETW
-      RALPD=RALPS-RALPW
-C
-C     ------------------------------------------------------------------
-c
-c calculer les constantes pour les fonctions thermodynamiques
-c
-      RVTMP2=RCPV/RCPD-1.
-      RHOH2O=RATM/100.
-      R2ES=RESTT*RD/RV
-      R3LES=17.269
-      R3IES=21.875
-      R4LES=35.86
-      R4IES=7.66
-      R5LES=R3LES*(RTT-R4LES)
-      R5IES=R3IES*(RTT-R4IES)
-C
       RETURN
       END
Index: /trunk/libf/phyvenus/testphys1d.F
===================================================================
--- /trunk/libf/phyvenus/testphys1d.F	(revision 96)
+++ /trunk/libf/phyvenus/testphys1d.F	(revision 97)
@@ -54,5 +54,5 @@
       REAL gru,grv   ! prescribed "geostrophic" background wind
       REAL temp(llm)   ! temperature at the middle of the layers
-      REAL q(llm,nqmx) ! tracer mixing ratio (e.g. kg/kg)
+      REAL q(llm,nqtot) ! tracer mixing ratio (e.g. kg/kg)
       REAL tsoil(nsoilmx)   ! subsurface soik temperature (K)
       REAL zlay(llm)   ! altitude estimee dans les couches (km)
@@ -66,6 +66,6 @@
       REAL dudyn(llm),dvdyn(llm),dtempdyn(llm)
       REAL dpsurf    
-      REAL dq(llm,nqmx)
-      REAL dqdyn(llm,nqmx)
+      REAL dq(llm,nqtot)
+      REAL dqdyn(llm,nqtot)
 
 c   Various intermediate variables
@@ -287,5 +287,5 @@
 c    ---------------------------
 
-      DO iq=1,nqmx
+      DO iq=1,nqtot
         DO ilayer=1,nlayer
            q(ilayer,iq) = 0.
@@ -375,5 +375,5 @@
 c       --------------------
 
-      CALL physiq (1,llm,nqmx,
+      CALL physiq (1,llm,nqtot,
      ,     firstcall,lastcall,
      ,     day,time,dtphys,
Index: /trunk/libf/phyvenus/ustarhb.F
===================================================================
--- /trunk/libf/phyvenus/ustarhb.F	(revision 96)
+++ /trunk/libf/phyvenus/ustarhb.F	(revision 97)
@@ -36,6 +36,4 @@
       LOGICAL check(klon)   ! True=>chk if Richardson no.>critcal
 c
-#include "YOETHF.h"
-#include "FCTTRE.h"
       DO i = 1, knon
         zx_alf1 = 1.0
Index: /trunk/libf/phyvenus/write_histday.h
===================================================================
--- /trunk/libf/phyvenus/write_histday.h	(revision 96)
+++ /trunk/libf/phyvenus/write_histday.h	(revision 97)
@@ -7,7 +7,5 @@
       ndex3d = 0
       zx_tmp_2d = 0.
-      z4_tmp_2d = 0.
       zx_tmp_3d = 0.
-      z4_tmp_3d = 0.
       zx_tmp_fi2d=0.
       zx_tmp_fi3d=0.
@@ -26,15 +24,12 @@
       i = NINT(zout/zsto)
       CALL gr_fi_ecrit(1,klon,iim,jjmp1,pphis,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_day,"phis",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_day,"phis",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 C
       i = NINT(zout/zsto)
       CALL gr_fi_ecrit(1,klon,iim,jjmp1,airephy,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_day,"aire",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_day,"aire",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, ftsol,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_day,"tsol",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_day,"tsol",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
       DO i = 1, klon
@@ -42,14 +37,11 @@
       ENDDO
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_day,"psol",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_day,"psol",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, ue,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_day,"ue",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_day,"ue",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, ve,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_day,"ve",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_day,"ve",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
       ENDIF !lev_histday.GE.1
@@ -61,31 +53,25 @@
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, t_seri, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"temp",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"temp",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, pplay, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"pres",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"pres",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, zphi, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"geop",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"geop",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, u_seri, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"vitu",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"vitu",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, v_seri, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"vitv",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"vitv",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, omega, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"vitw",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"vitw",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
@@ -100,18 +86,14 @@
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, topsw,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_day,"tops",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_day,"tops",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, toplw,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_day,"topl",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_day,"topl",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, solsw,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_day,"sols",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_day,"sols",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, sollw,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_day,"soll",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_day,"soll",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
 c 3D
@@ -119,12 +101,10 @@
       zx_tmp_fi3d(1:klon,1:klev)=swnet(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"SWnet",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"SWnet",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       zx_tmp_fi3d(1:klon,1:klev)=lwnet(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"LWnet",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"LWnet",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
@@ -136,24 +116,20 @@
 c en K/s      
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_t_dyn, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"dtdyn",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"dtdyn",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
 c en K/s      
 c      CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_t, zx_tmp_3d)
-c      z4_tmp_3d=zx_tmp_3d
-c      CALL histwrite(nid_day,"dtphy",itau_w,z4_tmp_3d,
+c      CALL histwrite(nid_day,"dtphy",itau_w,zx_tmp_3d,
 c     .                                   iim*jjmp1*klev,ndex3d)
 c
 c en K/s      
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,d_t_vdf,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"dtvdf",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"dtvdf",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
 c en K/s      
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,d_t_ajs,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"dtajs",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"dtajs",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
@@ -161,6 +137,5 @@
       zx_tmp_fi3d(1:klon,1:klev)=heat(1:klon,1:klev)/RDAY 
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"dtswr",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"dtswr",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
@@ -168,42 +143,35 @@
       zx_tmp_fi3d(1:klon,1:klev)=-1.*cool(1:klon,1:klev)/RDAY
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"dtlwr",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"dtlwr",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c en K/s      
 c     zx_tmp_fi3d(1:klon,1:klev)=d_t_ec(1:klon,1:klev)
 c     CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-c     z4_tmp_3d=zx_tmp_3d
-c     CALL histwrite(nid_day,"dtec",itau_w,z4_tmp_3d,
+c     CALL histwrite(nid_day,"dtec",itau_w,zx_tmp_3d,
 c    .                                   iim*jjmp1*klev,ndex3d)
 c
 c en (m/s)/s      
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_u_dyn, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"dudyn",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"dudyn",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
 c en (m/s)/s      
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_u_vdf, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"duvdf",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"duvdf",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
 c en (m/s)/s      
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_u_ajs, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"duajs",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"duajs",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
 c en (m/s)/s      
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_u_oro, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"dugwo",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"dugwo",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
 c en (m/s)/s      
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_u_hin, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_day,"dugwno",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"dugwno",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
@@ -211,6 +179,6 @@
 c     CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_v_vdf, zx_tmp_3d)
 c VENUS: regardee a l'envers!!!!!!!!!!!!!!!
-c     z4_tmp_3d=-1.*zx_tmp_3d
-c     CALL histwrite(nid_day,"dvvdf",itau_w,z4_tmp_3d,
+c     zx_tmp_3d=-1.*zx_tmp_3d
+c     CALL histwrite(nid_day,"dvvdf",itau_w,zx_tmp_3d,
 c    .                                   iim*jjmp1*klev,ndex3d)
 c
@@ -224,7 +192,6 @@
          IF (iq.LE.99) THEN
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, qx(1,1,iq+2), zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
       WRITE(str2,'(i2.2)') iq
-      CALL histwrite(nid_day,"trac"//str2,itau_w,z4_tmp_3d,
+      CALL histwrite(nid_day,"trac"//str2,itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
          ELSE
@@ -236,20 +203,16 @@
 c
 c      CALL gr_fi_ecrit(1, klon,iim,jjmp1, fluxu , zx_tmp_2d)
-c      z4_tmp_2d=zx_tmp_2d
 c      CALL histwrite(nid_day,"taux_",itau_w,
-c    $      z4_tmp_2d,iim*jjmp1,ndex2d) 
+c    $      zx_tmp_2d,iim*jjmp1,ndex2d) 
 c      
 c      CALL gr_fi_ecrit(1, klon,iim,jjmp1, fluxv , zx_tmp_2d)
-c      z4_tmp_2d=zx_tmp_2d
 c      CALL histwrite(nid_day,"tauy_",itau_w,
-c    $      z4_tmp_2d,iim*jjmp1,ndex2d)
+c    $      zx_tmp_2d,iim*jjmp1,ndex2d)
 c
 c     CALL gr_fi_ecrit(1, klon,iim,jjmp1, cdragm,zx_tmp_2d)
-c      z4_tmp_2d=zx_tmp_2d
-c     CALL histwrite(nid_day,"cdrm",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+c     CALL histwrite(nid_day,"cdrm",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
 c     CALL gr_fi_ecrit(1, klon,iim,jjmp1, cdragh,zx_tmp_2d)
-c      z4_tmp_2d=zx_tmp_2d
-c     CALL histwrite(nid_day,"cdrh",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+c     CALL histwrite(nid_day,"cdrh",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
       ENDIF !lev_histday.GE.5
Index: /trunk/libf/phyvenus/write_histins.h
===================================================================
--- /trunk/libf/phyvenus/write_histins.h	(revision 96)
+++ /trunk/libf/phyvenus/write_histins.h	(revision 97)
@@ -7,7 +7,5 @@
       ndex3d = 0
       zx_tmp_2d = 0.
-      z4_tmp_2d = 0.
       zx_tmp_3d = 0.
-      z4_tmp_3d = 0.
       zx_tmp_fi2d=0.
       zx_tmp_fi3d=0.
